Skip to main content
POST
/
api
/
agent
/
adapt
Generate social adaptations
curl --request POST \
  --url https://www.citedy.com/api/agent/adapt \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "platforms": [
    "x_article"
  ],
  "include_ref_link": true
}
'
{
  "adaptations": [
    {
      "adaptationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "platform": "<string>",
      "content": "<string>",
      "credits_used": 123,
      "char_count": 123,
      "published": true,
      "platform_post_id": "<string>"
    }
  ],
  "total_credits": 123,
  "ref_link_appended": true,
  "errors": [
    {
      "platform": "<string>",
      "error": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer citedy_agent_* key

Body

application/json
article_id
string<uuid>
required
platforms
enum<string>[]
required
Required array length: 1 - 3 elements
Available options:
x_article,
x_thread,
linkedin,
facebook,
reddit,
threads,
instagram

Response

Adaptations generated

adaptations
object[]
required
total_credits
number
required
errors
object[]